import React from 'react';
import { storyAccessibilityConfig } from '../../a11y/storyAccessibilityConfig';
import { DescriptionList, DescriptionListItem } from './index';
export default {
  component: DescriptionList,
  subcomponents: {
    DescriptionListItem: DescriptionListItem
  },
  title: 'Description List',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
var disableDefinitionList = {
  a11y: {
    config: {
      rules: storyAccessibilityConfig['Description List']
    }
  }
};
export var Default = function Default(props) {
  return /*#__PURE__*/React.createElement(DescriptionList, props, /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Name"
  }, "Horatio Nelson"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Age"
  }, "44"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Location"
  }, "Portsmouth"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Departure"
  }, "2230"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Water Temperature"
  }, "25C"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Wind Speed"
  }, "8Kts"));
};
Default.parameters = disableDefinitionList;
Default.args = {
  description: 'Example description'
};
Default.storyName = 'Default';
export var Collapsible = function Collapsible() {
  return /*#__PURE__*/React.createElement(DescriptionList, {
    description: "Example description",
    isCollapsible: true
  }, /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Name"
  }, "Horatio Nelson"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Age"
  }, "44"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Location"
  }, "Portsmouth"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Departure"
  }, "2230"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Water Temperature"
  }, "25C"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Wind Speed"
  }, "8Kts"));
};
Collapsible.parameters = disableDefinitionList;
Collapsible.storyName = 'Collapsible';
export var CollapsibleOpen = function CollapsibleOpen() {
  return /*#__PURE__*/React.createElement(DescriptionList, {
    description: "Example description",
    isCollapsible: true,
    isOpen: true
  }, /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Name"
  }, "Horatio Nelson"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Age"
  }, "44"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Location"
  }, "Portsmouth"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Departure"
  }, "2230"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Water Temperature"
  }, "25C"), /*#__PURE__*/React.createElement(DescriptionListItem, {
    title: "Wind Speed"
  }, "8Kts"));
};
CollapsibleOpen.parameters = disableDefinitionList;
CollapsibleOpen.storyName = 'Collapsible (Open)';